{% load static %}

<!DOCTYPE html>
<html>
    
<head>
    <title>Choose Your Books</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" href="{% static 'css/lab11.css' %}">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
    <script src="{% static 'js/lab11.js' %}"></script>
    <script src="https://apis.google.com/js/platform.js" async defer></script>
    <meta name="google-signin-client_id" content="893704308133-749oai7dvu9tttd05l2lu0rfe7t0pds2.apps.googleusercontent.com">
    
</head>

<body>
    <div class="container-fluid h-100">
        <div class="row h-100 justify-content-center align-items-center">
            <div class="col-sm-11">
                <div class="row" style="padding-top: 50px;">
                    <div class="col-sm-6" style="padding-top: 2.5vh;">
                        <text class="judul" style="font-size: 70px; line-height: 60px;"><strong>Book List      </strong></text>
                    </div>
                    <div class="col-sm-6" style="text-align:right; font-size: 20px; padding-top: 30px;">
                        <input type="text" id="textField" placeholder="Search for books.." title="Type in a name">
                    </div>
                </div>
                <div class="panel panel-default" style="margin-top:1.2%;">
                    <div class="panel-heading">
                        {% if user.is_authenticated %}
                            <div style="margin-top: 1vh; margin-bottom: 1vh">
                                <text class="display-4"><i class="fa fa-user-circle" aria-hidden="true"></i><b> Hello, {{ user.username }}!</b></text>
                                <a style="padding-left: 6px" href="{% url 'logout' %}" onclick="signOut();"><i class="fa fa-sign-out" aria-hidden="true"></i> Sign Out</a>
                            </div>
                        {% else %}
                            <a class="lead" href="{% url 'web_login' %}"><i class="fa fa-sign-out" aria-hidden="true"></i><b> Sign In</b></a>
                        {% endif %}                
                    </div>
                    <div class="panel-body">
                        <p><b>First Name</b> : {{ user.first_name }} </p>
                        <p><b>Last Name</b> : {{ user.last_name }} </p>
                        <p><b>Username</b> : {{ user.username }} </p>
                        <p><b>Email</b> : {{ user.email }} </p>
                        <hr style="margin-bottom: 16px;">
                        <text style="padding-top: -10vh; font-size: 18px;"><b>Favourite(s)</b> : </text>
                        <text id="counter" style="margin-top: -10px; font-size: 18px; font-weight: bold"> {{ message }}</text>
                    </div>
                </div> 
                <div class="roundedrec" style="margin-bottom:6.7%;">
                    <div class="insiderec">
                        <div class="table-responsive">
                            <table id="demo" class="table" style="font-size: 15px;">
                                <thead>
                                    <tr class="table text-center">
                                        <th scope="col" class="align-middle">No</th>
                                        <th scope="col" class="align-middle">Cover</th>
                                        <th scope="col" class="align-middle">Title</th>
                                        <th scope="col" class="align-middle">Authors</th>
                                        <th scope="col" class="align-middle">Publisher</th>
                                        <th scope="col" class="align-middle">Published Date</th>
                                        <th scope="col" class="align-middle">Add to Favourite(s)</th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                            <div id="alert" class="text-center"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

<script>
    function signOut() {
        var auth2 = gapi.auth2.getAuthInstance();
        auth2.disconnect();
        auth2.signOut().then(function () {  
            alert('User signed out.');
        });

    }
</script>
</html>
